<?php
/**
 * @package Iyosis Piwik for Joomla! 1.5
 * @author Remzi Degirmencioglu
 * @copyright (C) 2011 www.iyosis.com
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); 

function Sec2Time($time){
  if(is_numeric($time)){
    $value = NULL;
    if($time >= 31556926){
      $value .= floor($time/31556926)."y ";
      $time = ($time%31556926);
    }
    if($time >= 86400){
      $value .= floor($time/86400)."d ";
      $time = ($time%86400);
    }
    if($time >= 3600){
      $value .= floor($time/3600)."h ";
      $time = ($time%3600);
    }
    if($time >= 60){
      $value .= floor($time/60)."m ";
      $time = ($time%60);
    }
    $value .= floor($time)."s ";
    return $value;
  }else{
    return (bool) FALSE;
  }
}
?>

<div class="widget">
	<div class="widgetTop"><div class="widgetName"><?php echo JText::_( 'Overview' ); ?></div><div class="widgetConf">(<?php echo $this->config->period.", ".$this->config->date ?>)</div></div>
	<div class="widgetContent">
		<table cellspacing="0" class="dataTable"> 
			<tbody>
				<tr class="subDataTable">
					<td class="label labelodd"><span class="label">Visitors</span></td>
					<td class="columnodd"><?php echo $this->getVisitsData[$today]['nb_visits'] ?></td>
				</tr>
				<tr class="subDataTable">
					<td class="label labelodd"><span class="label">Unique visitors</span></td>
					<td class="columnodd"><?php echo $this->getVisitsData[$today]['nb_uniq_visitors'] ?></td>
				</tr>
				<tr class="subDataTable">
					<td class="label labelodd"><span class="label">Actions</span></td>
					<td class="columnodd"><?php echo $this->getVisitsData[$today]['nb_actions'] ?></td>
				</tr>
				<tr class="subDataTable">
					<td class="label labelodd"><span class="label">Total time spent by visitors</span></td>
					<td class="columnodd"><?php echo Sec2Time($this->getVisitsData[$today]['sum_visit_length']) ?></td>
				</tr>
				<tr class="subDataTable">
					<td class="label labelodd"><span class="label">Bounce count</span></td>
					<td class="columnodd"><?php echo $this->getVisitsData[$today]['bounce_count'] ?></td>
				</tr>
				<tr class="subDataTable">
					<td class="label labelodd"><span class="label">Bounce rate</span></td>
					<td class="columnodd"><?php echo $this->getVisitsData[$today]['bounce_rate'] ?></td>
				</tr>
				<tr class="subDataTable">
					<td class="label labelodd"><span class="label">Actions per visit</span></td>
					<td class="columnodd"><?php echo $this->getVisitsData[$today]['nb_actions_per_visit'] ?></td>
				</tr>
				<tr class="subDataTable">
					<td class="label labelodd"><span class="label">Avarage time on site</span></td>
					<td class="columnodd"><?php echo $this->getVisitsData[$today]['avg_time_on_site'] ?></td>
				</tr>
			</tbody>
		</table>
	</div>
</div>
